> ## Documentation Index
> Fetch the complete documentation index at: https://docs.civicmarketplace.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Lead Entities



## OpenAPI

````yaml GET /v1/lead-entities
openapi: 3.1.0
info:
  title: CivicMarketplace Partner API
  version: 1.0.0
  description: |
    Read-only partner API for accessing contracts, suppliers, and reference
    taxonomy. Authenticate with a partner-scoped API key.
  contact:
    name: CivicMarketplace Engineering
    email: engineering@civicmarketplace.com
servers:
  - url: https://prod-api.civicmarketplace.com
    description: Production
  - url: https://uat-api.civicmarketplace.com
    description: UAT
  - url: https://dev-api.civicmarketplace.com
    description: Dev
security:
  - apiKey: []
tags:
  - name: Contracts
  - name: Suppliers
  - name: Taxonomy
paths:
  /v1/lead-entities:
    get:
      tags:
        - Taxonomy
      summary: List lead entities
      responses:
        '200':
          description: Named-ref page
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NamedRefListResponse'
components:
  schemas:
    NamedRefListResponse:
      type: object
      required:
        - data
        - meta
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/NamedRef'
        meta:
          $ref: '#/components/schemas/PageMeta'
    NamedRef:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
        name:
          type: string
    PageMeta:
      type: object
      required:
        - next_cursor
        - limit
      properties:
        next_cursor:
          type: string
          nullable: true
        limit:
          type: integer
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: cmp_(live|test)_*

````